/**
 * 
 */
package de.mpc.prolic.misc;

/**
 * Auxiliary class used for a sorted generation of concatenated list identifiers.
 * @author Michael Kohl
 *
 */
public class ListIdentifier implements Comparable<Object> {

	/*******************************************************************************
	 * Members
	 ******************************************************************************/
	private String listIdentifier;
	
	/*******************************************************************************
	 * Constructors
	 ******************************************************************************/
	
	/**
	 * Generates an instance of ListIdentifier along with the initialization of the 
	 * only member, which is necessary for comparison of ListIdentifier instances 
	 */
	public ListIdentifier(String listIdentifier_) {
		listIdentifier=listIdentifier_;
	}

	/* (non-Javadoc)
	 * @see java.lang.Comparable#compareTo(java.lang.Object)
	 */
	@Override
	public int compareTo(Object o) {
		ListIdentifier li = (ListIdentifier)o;
		return this.getListIdentifier().compareTo(li.getListIdentifier());
	}
	
	public String getListIdentifier(){
		return this.listIdentifier;
	}

}
